Package io.vertx.ext.auth.sqlclient

## Interface SqlAuthentication

- All Superinterfaces:
    `AuthenticationProvider`

      public interface SqlAuthentication
      extends AuthenticationProvider

  Factory interface for creating `AuthenticationProvider` instances that use the Vert.x SQL client.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SqlAuthentication` | `create​(SqlClient client)` | Create a JDBC auth provider implementation
    `static SqlAuthentication` | `create​(SqlClient client, SqlAuthenticationOptions options)` | Create a JDBC auth provider implementation
    `default String` | `hash​(String id, String salt, String password)` | Hashes a password to be stored.
    `String` | `hash​(String id, Map<String,​String> params, String salt, String password)` | Hashes a password to be stored.

    - ### Methods inherited from interface io.vertx.ext.auth.authentication.AuthenticationProvider

      `authenticate`

- - ### Method Detail

    - #### create

          static SqlAuthentication create​(SqlClient client)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
      Returns:
        the auth provider

    - #### create

          static SqlAuthentication create​(SqlClient client,
                                          SqlAuthenticationOptions options)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `options` - authentication options
      Returns:
        the auth provider

    - #### hash

          String hash​(String id,
                      Map<String,​String> params,
                      String salt,
                      String password)

      Hashes a password to be stored.

      See: `io.vertx.ext.auth.HashingStrategy#hash(String, Map, String, String)`

    - #### hash

          default String hash​(String id,
                              String salt,
                              String password)

      Hashes a password to be stored.

      See: `io.vertx.ext.auth.HashingStrategy#hash(String, Map, String, String)`